NYDIFF(1)

NAME
nydiff - tool to compare two versions of a specialized-format patch

SYNOPSIS
nydiff oldpam newpam name options [ print ] [ .go ]

DESCRIPTION

nydiff is a tool in the Nypatchy suite of programs for working with Patchy Master Files (PAM files); see nypatchy(1). Specifically, it compares two different versions of the same PAM file and generates a "correction patch" that can be used by nypatchy to update the older version to the newer version.

USAGE
The parameter oldpam is the name of the older version of the PAM file (a default extension of ".car" is assumed), newpam is the name of the newer version, print is the output file to write to (the default is standard output if omitted), and options is a sequence of single-character flags. The parameter name is the name to be used for the correction file to be generated (the specific filename will be name.ucra for a correction patch to be used by Nypatchy).

The command should be ended with ".go" unless one wants to enter the Nypatchy interactive shell.

OPTIONS

Note that options should be given as a single string of characters with no space separation and no use of the - character (except that it can be used in place of the options field if no options are desired). Alphabetic options are not case-sensitive.

A   "anyway" - Bypass the first sanity check on sufficient matching.

F   "force" - Bypass the second sanity check on sufficient matching.

H   Print help information only.

SEE ALSO
fcasplit(1), nycheck(1), nyindex(1), nylist(1), nymerge(1), nypatchy(1), nyshell(1), nysynopt(1), nytidy(1), yexpand(1)

The reference manual for the Nypatchy suite of programs is available in compressed PostScript format at the following URL:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/p5refman.ps.gz

Running the command "nydiff help .no" also gives some brief help on usage.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). It is licensed under the GNU General Public License, version 2 or later (at your choice).

COPYRIGHT
Copyright (C) Kevin B. McCarty, 2008.